<?xml version='1.0' encoding='utf-8'?>
<FilingSummary>
  <Version>3.20.4</Version>
  <ProcessingTime/>
  <ReportFormat>html</ReportFormat>
  <ContextCount>212</ContextCount>
  <ElementCount>460</ElementCount>
  <EntityCount>1</EntityCount>
  <FootnotesReported>false</FootnotesReported>
  <SegmentCount>70</SegmentCount>
  <ScenarioCount>0</ScenarioCount>
  <TuplesReported>false</TuplesReported>
  <UnitCount>5</UnitCount>
  <MyReports>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R1.htm</HtmlFileName>
      <LongName>00010 - Document - Document and Entity Information</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/DocumentAndEntityInformation</Role>
      <ShortName>Document and Entity Information</ShortName>
      <MenuCategory>Cover</MenuCategory>
      <Position>1</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R2.htm</HtmlFileName>
      <LongName>00020 - Statement - CONSOLIDATED BALANCE SHEETS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-cbs</Role>
      <ShortName>CONSOLIDATED BALANCE SHEETS</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>2</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R3.htm</HtmlFileName>
      <LongName>00030 - Statement - CONSOLIDATED BALANCE SHEETS (Parenthetical)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/ConsolidatedBalanceSheetsParenthetical</Role>
      <ShortName>CONSOLIDATED BALANCE SHEETS (Parenthetical)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>3</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R4.htm</HtmlFileName>
      <LongName>00040 - Statement - CONSOLIDATED STATEMENTS OF COMPREHENSIVE LOSS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-csocl</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF COMPREHENSIVE LOSS</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>4</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R5.htm</HtmlFileName>
      <LongName>00050 - Statement - CONSOLIDATED STATEMENTS OF COMPREHENSIVE LOSS (Parenthetical)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/ConsolidatedStatementsOfComprehensiveLossParenthetical</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF COMPREHENSIVE LOSS (Parenthetical)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>5</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R6.htm</HtmlFileName>
      <LongName>00060 - Statement - CONSOLIDATED STATEMENTS OF CHANGES IN SHAREHOLDERS' EQUITY</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/ConsolidatedStatementsOfChangesInShareholdersEquity</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF CHANGES IN SHAREHOLDERS' EQUITY</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>6</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R7.htm</HtmlFileName>
      <LongName>00070 - Statement - CONSOLIDATED STATEMENTS OF CASH FLOWS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-csocf</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF CASH FLOWS</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>7</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R8.htm</HtmlFileName>
      <LongName>00080 - Disclosure - GENERAL</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-g</Role>
      <ShortName>GENERAL</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>8</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R9.htm</HtmlFileName>
      <LongName>00090 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-sap</Role>
      <ShortName>SIGNIFICANT ACCOUNTING POLICIES</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>9</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R10.htm</HtmlFileName>
      <LongName>00100 - Disclosure - AVAILABLE-FOR-SALE MARKETABLE SECURITIES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-ams</Role>
      <ShortName>AVAILABLE-FOR-SALE MARKETABLE SECURITIES</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>10</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R11.htm</HtmlFileName>
      <LongName>00110 - Disclosure - FAIR VALUE MEASUREMENTS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-fvm</Role>
      <ShortName>FAIR VALUE MEASUREMENTS</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>11</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R12.htm</HtmlFileName>
      <LongName>00120 - Disclosure - DERIVATIVE INSTRUMENTS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-di</Role>
      <ShortName>DERIVATIVE INSTRUMENTS</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>12</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R13.htm</HtmlFileName>
      <LongName>00130 - Disclosure - OTHER RECEIVABLES AND PREPAID EXPENSES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-orape</Role>
      <ShortName>OTHER RECEIVABLES AND PREPAID EXPENSES</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>13</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R14.htm</HtmlFileName>
      <LongName>00140 - Disclosure - INVENTORIES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-i</Role>
      <ShortName>INVENTORIES</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>14</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R15.htm</HtmlFileName>
      <LongName>00150 - Disclosure - PROPERTY AND EQUIPMENT, NET</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-paen</Role>
      <ShortName>PROPERTY AND EQUIPMENT, NET</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>15</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R16.htm</HtmlFileName>
      <LongName>00160 - Disclosure - INTANGIBLE ASSETS, NET</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-ian</Role>
      <ShortName>INTANGIBLE ASSETS, NET</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>16</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R17.htm</HtmlFileName>
      <LongName>00170 - Disclosure - OTHER PAYABLES AND ACCRUED EXPENSES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-opaae</Role>
      <ShortName>OTHER PAYABLES AND ACCRUED EXPENSES</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>17</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R18.htm</HtmlFileName>
      <LongName>00180 - Disclosure - COMMITMENTS AND CONTINGENT LIABILITIES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-cacl</Role>
      <ShortName>COMMITMENTS AND CONTINGENT LIABILITIES</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>18</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R19.htm</HtmlFileName>
      <LongName>00190 - Disclosure - SHAREHOLDERS' EQUITY</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-se</Role>
      <ShortName>SHAREHOLDERS' EQUITY</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>19</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R20.htm</HtmlFileName>
      <LongName>00200 - Disclosure - TAXES ON INCOME</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-toi</Role>
      <ShortName>TAXES ON INCOME</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>20</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R21.htm</HtmlFileName>
      <LongName>00210 - Disclosure - GEOGRAPHIC INFORMATION</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-gi</Role>
      <ShortName>GEOGRAPHIC INFORMATION</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>21</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R22.htm</HtmlFileName>
      <LongName>00220 - Disclosure - FINANCIAL INCOME (EXPENSES), NET</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-fin</Role>
      <ShortName>FINANCIAL INCOME (EXPENSES), NET</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>22</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R23.htm</HtmlFileName>
      <LongName>00230 - Disclosure - EARNINGS (LOSS) PER SHARE</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-eps</Role>
      <ShortName>EARNINGS (LOSS) PER SHARE</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>23</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R24.htm</HtmlFileName>
      <LongName>00240 - Disclosure - SUBSEQUENT EVENT</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/SubsequentEvent</Role>
      <ShortName>SUBSEQUENT EVENT</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>24</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R25.htm</HtmlFileName>
      <LongName>00250 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-sapp</Role>
      <ShortName>SIGNIFICANT ACCOUNTING POLICIES (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <Position>25</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R26.htm</HtmlFileName>
      <LongName>00260 - Disclosure - GENERAL (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-gt</Role>
      <ShortName>GENERAL (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://allot.com/role/allt-g</ParentRole>
      <Position>26</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R27.htm</HtmlFileName>
      <LongName>00270 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-sapt</Role>
      <ShortName>SIGNIFICANT ACCOUNTING POLICIES (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://allot.com/role/allt-sap</ParentRole>
      <Position>27</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R28.htm</HtmlFileName>
      <LongName>00280 - Disclosure - AVAILABLE-FOR-SALE MARKETABLE SECURITIES (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-amst</Role>
      <ShortName>AVAILABLE-FOR-SALE MARKETABLE SECURITIES (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://allot.com/role/allt-ams</ParentRole>
      <Position>28</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R29.htm</HtmlFileName>
      <LongName>00290 - Disclosure - FAIR VALUE MEASUREMENTS (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-fvmt</Role>
      <ShortName>FAIR VALUE MEASUREMENTS (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://allot.com/role/allt-fvm</ParentRole>
      <Position>29</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R30.htm</HtmlFileName>
      <LongName>00300 - Disclosure - DERIVATIVE INSTRUMENTS (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-dit</Role>
      <ShortName>DERIVATIVE INSTRUMENTS (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://allot.com/role/allt-di</ParentRole>
      <Position>30</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R31.htm</HtmlFileName>
      <LongName>00310 - Disclosure - OTHER RECEIVABLES AND PREPAID EXPENSES (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-orapet</Role>
      <ShortName>OTHER RECEIVABLES AND PREPAID EXPENSES (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://allot.com/role/allt-orape</ParentRole>
      <Position>31</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R32.htm</HtmlFileName>
      <LongName>00320 - Disclosure - INVENTORIES (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-it</Role>
      <ShortName>INVENTORIES (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://allot.com/role/allt-i</ParentRole>
      <Position>32</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R33.htm</HtmlFileName>
      <LongName>00330 - Disclosure - PROPERTY AND EQUIPMENT, NET (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-paent</Role>
      <ShortName>PROPERTY AND EQUIPMENT, NET (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://allot.com/role/allt-paen</ParentRole>
      <Position>33</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R34.htm</HtmlFileName>
      <LongName>00340 - Disclosure - INTANGIBLE ASSETS, NET (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-iant</Role>
      <ShortName>INTANGIBLE ASSETS, NET (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://allot.com/role/allt-ian</ParentRole>
      <Position>34</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R35.htm</HtmlFileName>
      <LongName>00350 - Disclosure - OTHER PAYABLES AND ACCRUED EXPENSES (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-opaaet</Role>
      <ShortName>OTHER PAYABLES AND ACCRUED EXPENSES (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://allot.com/role/allt-opaae</ParentRole>
      <Position>35</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R36.htm</HtmlFileName>
      <LongName>00360 - Disclosure - COMMITMENTS AND CONTINGENT LIABILITIES (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-caclt</Role>
      <ShortName>COMMITMENTS AND CONTINGENT LIABILITIES (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://allot.com/role/allt-cacl</ParentRole>
      <Position>36</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R37.htm</HtmlFileName>
      <LongName>00370 - Disclosure - SHAREHOLDERS' EQUITY (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-set</Role>
      <ShortName>SHAREHOLDERS' EQUITY (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://allot.com/role/allt-se</ParentRole>
      <Position>37</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R38.htm</HtmlFileName>
      <LongName>00380 - Disclosure - TAXES ON INCOME (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-toit</Role>
      <ShortName>TAXES ON INCOME (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://allot.com/role/allt-toi</ParentRole>
      <Position>38</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R39.htm</HtmlFileName>
      <LongName>00390 - Disclosure - GEOGRAPHIC INFORMATION (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-git</Role>
      <ShortName>GEOGRAPHIC INFORMATION (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://allot.com/role/allt-gi</ParentRole>
      <Position>39</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R40.htm</HtmlFileName>
      <LongName>00400 - Disclosure - FINANCIAL INCOME (EXPENSES), NET (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-fint</Role>
      <ShortName>FINANCIAL INCOME (EXPENSES), NET (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://allot.com/role/allt-fin</ParentRole>
      <Position>40</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R41.htm</HtmlFileName>
      <LongName>00410 - Disclosure - EARNINGS (LOSS) PER SHARE (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-epst</Role>
      <ShortName>EARNINGS (LOSS) PER SHARE (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://allot.com/role/allt-eps</ParentRole>
      <Position>41</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R42.htm</HtmlFileName>
      <LongName>00420 - Disclosure - GENERAL (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/GeneralNarrativeDetails</Role>
      <ShortName>GENERAL (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-gt</ParentRole>
      <Position>42</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R43.htm</HtmlFileName>
      <LongName>00430 - Disclosure - GENERAL (Schedule of Estimated Fair Values of Assets Acquired and Liabilities Assumed) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/GeneralScheduleOfEstimatedFairValuesOfAssetsAcquiredAndLiabilitiesAssumedDetails</Role>
      <ShortName>GENERAL (Schedule of Estimated Fair Values of Assets Acquired and Liabilities Assumed) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-gt</ParentRole>
      <Position>43</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R44.htm</HtmlFileName>
      <LongName>00440 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/SignificantAccountingPoliciesNarrativeDetails</Role>
      <ShortName>SIGNIFICANT ACCOUNTING POLICIES (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-sapt</ParentRole>
      <Position>44</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R45.htm</HtmlFileName>
      <LongName>00450 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES (Schedule of Allowance of Credit Losses) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/SignificantAccountingPoliciesScheduleOfAllowanceOfCreditLossesDetails</Role>
      <ShortName>SIGNIFICANT ACCOUNTING POLICIES (Schedule of Allowance of Credit Losses) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-sapt</ParentRole>
      <Position>45</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R46.htm</HtmlFileName>
      <LongName>00460 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES (Schedule of Estimated Useful Lives at Annual Rates) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/SignificantAccountingPoliciesScheduleOfEstimatedUsefulLivesAtAnnualRatesDetails</Role>
      <ShortName>SIGNIFICANT ACCOUNTING POLICIES (Schedule of Estimated Useful Lives at Annual Rates) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-sapt</ParentRole>
      <Position>46</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R47.htm</HtmlFileName>
      <LongName>00470 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES (Schedule of Stock-Based Compensation Expense) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/SignificantAccountingPoliciesScheduleOfStock-basedCompensationExpenseDetails</Role>
      <ShortName>SIGNIFICANT ACCOUNTING POLICIES (Schedule of Stock-Based Compensation Expense) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-sapt</ParentRole>
      <Position>47</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R48.htm</HtmlFileName>
      <LongName>00480 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES (Schedule of Stock-Based Compensation Assumptions) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/SignificantAccountingPoliciesScheduleOfStock-basedCompensationAssumptionsDetails</Role>
      <ShortName>SIGNIFICANT ACCOUNTING POLICIES (Schedule of Stock-Based Compensation Assumptions) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-sapt</ParentRole>
      <Position>48</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R49.htm</HtmlFileName>
      <LongName>00490 - Disclosure - SIGNIFICANT ACCOUNTING POLICIES (Schedule of Accumulated Other Comprehensive Income) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/SignificantAccountingPoliciesScheduleOfAccumulatedOtherComprehensiveIncomeDetails</Role>
      <ShortName>SIGNIFICANT ACCOUNTING POLICIES (Schedule of Accumulated Other Comprehensive Income) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-sapt</ParentRole>
      <Position>49</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R50.htm</HtmlFileName>
      <LongName>00500 - Disclosure - AVAILABLE-FOR-SALE MARKETABLE SECURITIES (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/Available-for-saleMarketableSecuritiesDetails</Role>
      <ShortName>AVAILABLE-FOR-SALE MARKETABLE SECURITIES (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-amst</ParentRole>
      <Position>50</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R51.htm</HtmlFileName>
      <LongName>00510 - Disclosure - FAIR VALUE MEASUREMENTS (Schedule of Financial Assets Measured at Fair Value on a Recurring Basis) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/FairValueMeasurementsScheduleOfFinancialAssetsMeasuredAtFairValueOnRecurringBasisDetails</Role>
      <ShortName>FAIR VALUE MEASUREMENTS (Schedule of Financial Assets Measured at Fair Value on a Recurring Basis) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-fvmt</ParentRole>
      <Position>51</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R52.htm</HtmlFileName>
      <LongName>00520 - Disclosure - DERIVATIVE INSTRUMENTS (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/DerivativeInstrumentsNarrativeDetails</Role>
      <ShortName>DERIVATIVE INSTRUMENTS (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-dit</ParentRole>
      <Position>52</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R53.htm</HtmlFileName>
      <LongName>00530 - Disclosure - DERIVATIVE INSTRUMENTS (Schedule of the Fair Value Open Foreign Exchange Contracts) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/DerivativeInstrumentsScheduleOfFairValueOpenForeignExchangeContractsDetails</Role>
      <ShortName>DERIVATIVE INSTRUMENTS (Schedule of the Fair Value Open Foreign Exchange Contracts) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-dit</ParentRole>
      <Position>53</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R54.htm</HtmlFileName>
      <LongName>00540 - Disclosure - DERIVATIVE INSTRUMENTS (Schedule of the Fair value of the outstanding non-designated foreign exchange contracts) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/DerivativeInstrumentsScheduleOfFairValueOfOutstandingNon-designatedForeignExchangeContractsDetails</Role>
      <ShortName>DERIVATIVE INSTRUMENTS (Schedule of the Fair value of the outstanding non-designated foreign exchange contracts) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-dit</ParentRole>
      <Position>54</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R55.htm</HtmlFileName>
      <LongName>00550 - Disclosure - OTHER RECEIVABLES AND PREPAID EXPENSES (Schedule of Other Accounts Receivable and Prepaid Expenses) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/OtherReceivablesAndPrepaidExpensesScheduleOfOtherAccountsReceivableAndPrepaidExpensesDetails</Role>
      <ShortName>OTHER RECEIVABLES AND PREPAID EXPENSES (Schedule of Other Accounts Receivable and Prepaid Expenses) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-orapet</ParentRole>
      <Position>55</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R56.htm</HtmlFileName>
      <LongName>00560 - Disclosure - INVENTORIES (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/InventoriesDetails</Role>
      <ShortName>INVENTORIES (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-it</ParentRole>
      <Position>56</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R57.htm</HtmlFileName>
      <LongName>00570 - Disclosure - PROPERTY AND EQUIPMENT, NET (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/PropertyAndEquipmentNetDetails</Role>
      <ShortName>PROPERTY AND EQUIPMENT, NET (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-paent</ParentRole>
      <Position>57</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R58.htm</HtmlFileName>
      <LongName>00580 - Disclosure - INTANGIBLE ASSETS, NET (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/IntangibleAssetsNetNarrativeDetails</Role>
      <ShortName>INTANGIBLE ASSETS, NET (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-iant</ParentRole>
      <Position>58</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R59.htm</HtmlFileName>
      <LongName>00590 - Disclosure - INTANGIBLE ASSETS, NET (Schedule of Intangible Assets) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/IntangibleAssetsNetScheduleOfIntangibleAssetsDetails</Role>
      <ShortName>INTANGIBLE ASSETS, NET (Schedule of Intangible Assets) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-iant</ParentRole>
      <Position>59</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R60.htm</HtmlFileName>
      <LongName>00600 - Disclosure - INTANGIBLE ASSETS, NET (Schedule of Estimated Amortization Expense) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/IntangibleAssetsNetScheduleOfEstimatedAmortizationExpenseDetails</Role>
      <ShortName>INTANGIBLE ASSETS, NET (Schedule of Estimated Amortization Expense) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-iant</ParentRole>
      <Position>60</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R61.htm</HtmlFileName>
      <LongName>00610 - Disclosure - OTHER PAYABLES AND ACCRUED EXPENSES (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/OtherPayablesAndAccruedExpensesDetails</Role>
      <ShortName>OTHER PAYABLES AND ACCRUED EXPENSES (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-opaaet</ParentRole>
      <Position>61</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R62.htm</HtmlFileName>
      <LongName>00620 - Disclosure - COMMITMENTS AND CONTINGENT LIABILITIES (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-caclnd</Role>
      <ShortName>COMMITMENTS AND CONTINGENT LIABILITIES (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-caclt</ParentRole>
      <Position>62</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R63.htm</HtmlFileName>
      <LongName>00630 - Disclosure - COMMITMENTS AND CONTINGENT LIABILITIES (Schedule of Weighted-Average Remaining Lease Term and Discount Rate) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/CommitmentsAndContingentLiabilitiesScheduleOfWeighted-averageRemainingLeaseTermAndDiscountRateDetails</Role>
      <ShortName>COMMITMENTS AND CONTINGENT LIABILITIES (Schedule of Weighted-Average Remaining Lease Term and Discount Rate) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-caclt</ParentRole>
      <Position>63</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R64.htm</HtmlFileName>
      <LongName>00640 - Disclosure - COMMITMENTS AND CONTINGENT LIABILITIES (Schedule of Maturities of Operating Lease Liabilities) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-caclsoafmlod</Role>
      <ShortName>COMMITMENTS AND CONTINGENT LIABILITIES (Schedule of Maturities of Operating Lease Liabilities) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-caclt</ParentRole>
      <Position>64</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R65.htm</HtmlFileName>
      <LongName>00650 - Disclosure - SHAREHOLDERS' EQUITY (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-send</Role>
      <ShortName>SHAREHOLDERS' EQUITY (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-set</ParentRole>
      <Position>65</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R66.htm</HtmlFileName>
      <LongName>00660 - Disclosure - SHAREHOLDERS' EQUITY (Schedule of Stock Option Activity) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-sesosoad</Role>
      <ShortName>SHAREHOLDERS' EQUITY (Schedule of Stock Option Activity) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-set</ParentRole>
      <Position>66</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R67.htm</HtmlFileName>
      <LongName>00670 - Disclosure - SHAREHOLDERS' EQUITY (Schedule of Options Outstanding) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-sesoood</Role>
      <ShortName>SHAREHOLDERS' EQUITY (Schedule of Options Outstanding) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-set</ParentRole>
      <Position>67</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R68.htm</HtmlFileName>
      <LongName>00680 - Disclosure - SHAREHOLDERS' EQUITY (Summary of Restricted Stock Unit Activity) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-sesorsuad</Role>
      <ShortName>SHAREHOLDERS' EQUITY (Summary of Restricted Stock Unit Activity) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-set</ParentRole>
      <Position>68</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R69.htm</HtmlFileName>
      <LongName>00690 - Disclosure - TAXES ON INCOME (Narrative) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-toind</Role>
      <ShortName>TAXES ON INCOME (Narrative) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-toit</ParentRole>
      <Position>69</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R70.htm</HtmlFileName>
      <LongName>00700 - Disclosure - TAXES ON INCOME (Schedule of Pre-tax Income (Loss)) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-toisopild</Role>
      <ShortName>TAXES ON INCOME (Schedule of Pre-tax Income (Loss)) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-toit</ParentRole>
      <Position>70</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R71.htm</HtmlFileName>
      <LongName>00710 - Disclosure - TAXES ON INCOME (Schedule of the Reconciliation of the Theoretical Tax Expense) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-toisorotted</Role>
      <ShortName>TAXES ON INCOME (Schedule of the Reconciliation of the Theoretical Tax Expense) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-toit</ParentRole>
      <Position>71</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R72.htm</HtmlFileName>
      <LongName>00720 - Disclosure - TAXES ON INCOME (Schedule of Income Tax Expense (Benefit)) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-toisoitebd</Role>
      <ShortName>TAXES ON INCOME (Schedule of Income Tax Expense (Benefit)) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-toit</ParentRole>
      <Position>72</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R73.htm</HtmlFileName>
      <LongName>00730 - Disclosure - TAXES ON INCOME (Schedule of Deferred Income Taxes) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-toisoditd</Role>
      <ShortName>TAXES ON INCOME (Schedule of Deferred Income Taxes) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-toit</ParentRole>
      <Position>73</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R74.htm</HtmlFileName>
      <LongName>00740 - Disclosure - GEOGRAPHIC INFORMATION (Schedule of Revenue by Geographic Location) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-gisorbgld</Role>
      <ShortName>GEOGRAPHIC INFORMATION (Schedule of Revenue by Geographic Location) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-git</ParentRole>
      <Position>74</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R75.htm</HtmlFileName>
      <LongName>00750 - Disclosure - GEOGRAPHIC INFORMATION (Schedule of Major Customers) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-gisomcd</Role>
      <ShortName>GEOGRAPHIC INFORMATION (Schedule of Major Customers) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-git</ParentRole>
      <Position>75</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R76.htm</HtmlFileName>
      <LongName>00760 - Disclosure - GEOGRAPHIC INFORMATION (Schedule of Long-Lived Assets) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-gisolad</Role>
      <ShortName>GEOGRAPHIC INFORMATION (Schedule of Long-Lived Assets) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-git</ParentRole>
      <Position>76</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R77.htm</HtmlFileName>
      <LongName>00770 - Disclosure - FINANCIAL INCOME (EXPENSES), NET (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/allt-find</Role>
      <ShortName>FINANCIAL INCOME (EXPENSES), NET (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-fint</ParentRole>
      <Position>77</Position>
    </Report>
    <Report instance="allt20f1220.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R78.htm</HtmlFileName>
      <LongName>00780 - Disclosure - EARNINGS (LOSS) PER SHARE (Schedule of Basic and Diluted Net Earnings (loss) Per Share) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://allot.com/role/all-tsobadnelpsd</Role>
      <ShortName>EARNINGS (LOSS) PER SHARE (Schedule of Basic and Diluted Net Earnings (loss) Per Share) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://allot.com/role/allt-epst</ParentRole>
      <Position>78</Position>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <LongName>All Reports</LongName>
      <ReportType>Book</ReportType>
      <ShortName>All Reports</ShortName>
    </Report>
  </MyReports>
  <InputFiles>
    <File doctype="20-F" original="allt20f1220.htm">allt20f1220.htm</File>
    <File>allt-20201231.xsd</File>
    <File>allt-20201231_cal.xml</File>
    <File>allt-20201231_def.xml</File>
    <File>allt-20201231_lab.xml</File>
    <File>allt-20201231_pre.xml</File>
    <File>exhibit_12-1.htm</File>
    <File>exhibit_12-2.htm</File>
    <File>exhibit_13-1.htm</File>
    <File>exhibit_15-1.htm</File>
    <File>exhibit_2-2.htm</File>
    <File>exhibit_8-1.htm</File>
  </InputFiles>
  <SupplementalFiles>
    <File>image0.jpg</File>
    <File>image11.jpg</File>
  </SupplementalFiles>
  <BaseTaxonomies>
    <BaseTaxonomy>http://fasb.org/us-gaap/2020-01-31</BaseTaxonomy>
    <BaseTaxonomy>http://fasb.org/srt/2020-01-31</BaseTaxonomy>
    <BaseTaxonomy>http://xbrl.sec.gov/dei/2020-01-31</BaseTaxonomy>
    <BaseTaxonomy>http://xbrl.sec.gov/country/2020-01-31</BaseTaxonomy>
  </BaseTaxonomies>
  <HasPresentationLinkbase>true</HasPresentationLinkbase>
  <HasCalculationLinkbase>true</HasCalculationLinkbase>
</FilingSummary>
